Bitcoin Forum
September 18, 2018, 10:40:47 PM *
News: ♦♦ Bitcoin Core users must update to 0.16.3 [Torrent]. More info.
 
   Home   Help Search Donate Login Register  
Pages: « 1 [2]  All
  Print  
Author Topic: Stratum Pool Server [Node.js] (supports POS/POW, SHA/Scrypt/Quark/X11, Vardiff)  (Read 20838 times)
frankie2fingers
Newbie
*
Offline Offline

Activity: 4
Merit: 0


View Profile
June 10, 2014, 06:53:19 PM
 #21

So, I keep getting an error while trying to install this stratum server code on Ubuntu.  I've tried several systems, and updating redis and python as described in the readme, but the error never changes or improves. 

I get the following a little ways through running "npm update"....

npm http 304 https://registry.npmjs.org/bignum/0.7.0
npm http 404 https://registry.npmjs.org/multi-hashing/0.0.9
npm ERR! Error: version not found: 0.0.9 : multi-hashing/0.0.9
npm ERR!     at RegClient.<anonymous> (/usr/share/npm/node_modules/npm-registry-client/lib/request.js:269:14)
npm ERR!     at Request.self.callback (/usr/lib/nodejs/request/main.js:119:22)
npm ERR!     at Request.<anonymous> (/usr/lib/nodejs/request/main.js:525:16)
npm ERR!     at Request.EventEmitter.emit (events.js:95:17)
npm ERR!     at IncomingMessage.<anonymous> (/usr/lib/nodejs/request/main.js:484:14)
npm ERR!     at IncomingMessage.EventEmitter.emit (events.js:117:20)
npm ERR!     at _stream_readable.js:910:16
npm ERR!     at process._tickCallback (node.js:415:13)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://bugs.debian.org/npm>
npm ERR! or use
npm ERR!     reportbug --attach npm-debug.log npm

npm ERR! System Linux 3.11.0-12-generic
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "update"
npm ERR! node -v v0.10.15
npm ERR! npm -v 1.2.18

Can anyone help?
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
1537310447
Hero Member
*
Offline Offline

Posts: 1537310447

View Profile Personal Message (Offline)

Ignore
1537310447
Reply with quote  #2

1537310447
Report to moderator
SpAcEDeViL
Legendary
*
Offline Offline

Activity: 970
Merit: 1025


Miner-Control.de Pooler


View Profile WWW
June 26, 2014, 05:05:17 PM
 #22

Hy,

i will install node-stratum-pool but... how?

Iam a node newbie. But iam a php, c# and java (jquery) programmer.
But i will save time.

so i had install node on my centOS Server and had made npm update. All ok. No errors on install.

So now i have the pool here... where i must place the config.js or config.json?
Where is the including in the code?

Must i place all https://github.com/zone117x/node-stratum-pool install infos in the config.js?

Where must i place the config? /lib/ ? or root?

node stratum.js to start? or must i make a start.js file with pool.start(); ?

Have anyone a step by step instruction ?

THX

Best Regards

CaptEmulation
Full Member
***
Offline Offline

Activity: 134
Merit: 100


View Profile
July 02, 2014, 03:39:55 PM
 #23

I am trying to understand how to use NOMP to multi-mine using a Base58Check compatible pubkey and a custom profit switcher algo.  In my case, I am working from a simple implementation of being able to manually switch the auto-switch pool from a web service.  I've looked at the bitcoin code and wiki so understand the mechanics of key creation-- now I am wondering if someone can point me towards a handy utility to help generate WIF keys from a common key to import into an arbitrary wallet.  So I don't have to write one.  Not wanting to reinvent the wheel ( I was doing that already before I found NOMP <3 ) and I figure I'm overlooking a key piece of information to do this easily.

Thanks.

tuaris
Hero Member
*****
Offline Offline

Activity: 765
Merit: 500



View Profile WWW
July 04, 2014, 10:11:29 AM
 #24

- No orphaned blocks

Really??
How do you manage to achieve that???
LOL  Cheesy

gperez2000
Newbie
*
Offline Offline

Activity: 22
Merit: 0


View Profile
July 08, 2014, 11:47:21 PM
 #25

So, I keep getting an error while trying to install this stratum server code on Ubuntu.  I've tried several systems, and updating redis and python as described in the readme, but the error never changes or improves. 

I get the following a little ways through running "npm update"....

npm http 304 https://registry.npmjs.org/bignum/0.7.0
npm http 404 https://registry.npmjs.org/multi-hashing/0.0.9
npm ERR! Error: version not found: 0.0.9 : multi-hashing/0.0.9
npm ERR!     at RegClient.<anonymous> (/usr/share/npm/node_modules/npm-registry-client/lib/request.js:269:14)
npm ERR!     at Request.self.callback (/usr/lib/nodejs/request/main.js:119:22)
npm ERR!     at Request.<anonymous> (/usr/lib/nodejs/request/main.js:525:16)
npm ERR!     at Request.EventEmitter.emit (events.js:95:17)
npm ERR!     at IncomingMessage.<anonymous> (/usr/lib/nodejs/request/main.js:484:14)
npm ERR!     at IncomingMessage.EventEmitter.emit (events.js:117:20)
npm ERR!     at _stream_readable.js:910:16
npm ERR!     at process._tickCallback (node.js:415:13)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://bugs.debian.org/npm>
npm ERR! or use
npm ERR!     reportbug --attach npm-debug.log npm

npm ERR! System Linux 3.11.0-12-generic
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "update"
npm ERR! node -v v0.10.15
npm ERR! npm -v 1.2.18

Can anyone help?

Install nodes legacy, I had the same issue, now is working perfectly
alenevaa
Sr. Member
****
Offline Offline

Activity: 288
Merit: 260



View Profile WWW
July 14, 2014, 07:19:41 AM
 #26

Hi zone117x!

I've successfully installed nomp in mpos compatibility mode as replacement for python-stratum-mining. I am using yacoin config file.
All seems to be OK! The shares are accepted.

When the block was found it accepted by wallet successfully. But nomp gives the error in console: "We thought a block was found but it was rejected by the daemon"

Code:
2014-07-13 18:29:06 [Pool]      [yacoin] (Thread 1) We thought a block was found but it was rejected by the daemon, share data: {"job":"387","ip":"192.168.1.101","port":3333,"worker":"ya.R9270X","height":629143,"blockReward":58760000,"difficulty":1,"shareDiff":"510.48249361","blockDiff":388.841603072,"blockDiffActual":0.005933252,"blockHash":"fe1b703bf84eae45499dc7a186279fc6bd5dcb82591537739303f283884fce06"}
2014-07-13 18:29:06 [Pool]      [yacoin] (Thread 1) Share accepted at diff 1/510.48249361 by ya.R9270X [192.168.1.101]

Why is the block hash so weird? (not filled with leading zeroes)

So info about block doesn't stored in mysql base. And MPOS doesn't see any blocks found.

██████████████████████
████████████████████████
████████████████████████
████████████████████████
███████████████████████
█████████████████████
████████████████████████
████████████████████████
██████████████████████
██████████████████████
███████████████████████
████████████████████████
████████████████████████
████████████████████████
███████████████████████
██████████████████████
|
WINGS           
Where DAO Unicorns are born
|
.
1st Bitcoin & Ethereum DAO for DAOs
1st Decentralized Chatbot to Smart Contracts Interaction System

|
.
Wings Bounties Earn Eggs
X-Blockchain DAO

polz
Full Member
***
Offline Offline

Activity: 134
Merit: 100


View Profile
August 10, 2014, 07:59:01 PM
 #27

Hi zone117x!

I've successfully installed nomp in mpos compatibility mode as replacement for python-stratum-mining. I am using yacoin config file.
All seems to be OK! The shares are accepted.

When the block was found it accepted by wallet successfully. But nomp gives the error in console: "We thought a block was found but it was rejected by the daemon"

Code:
2014-07-13 18:29:06 [Pool]      [yacoin] (Thread 1) We thought a block was found but it was rejected by the daemon, share data: {"job":"387","ip":"192.168.1.101","port":3333,"worker":"ya.R9270X","height":629143,"blockReward":58760000,"difficulty":1,"shareDiff":"510.48249361","blockDiff":388.841603072,"blockDiffActual":0.005933252,"blockHash":"fe1b703bf84eae45499dc7a186279fc6bd5dcb82591537739303f283884fce06"}
2014-07-13 18:29:06 [Pool]      [yacoin] (Thread 1) Share accepted at diff 1/510.48249361 by ya.R9270X [192.168.1.101]

Why is the block hash so weird? (not filled with leading zeroes)



So info about block doesn't stored in mysql base. And MPOS doesn't see any blocks found.


Can you make tutorial config stratum ?
Elmit
Hero Member
*****
Offline Offline

Activity: 780
Merit: 500


BURST got Smart Contracts (AT)


View Profile WWW
August 14, 2014, 05:17:22 AM
 #28


node init.js   gives me:
Quote
events.js:72
        throw er; // Unhandled 'error' event
              ^
Error: bind EACCES
    at errnoException (net.js:904:11)
    at net.js:1072:30
    at Object.5:1 (cluster.js:592:5)
    at handleResponse (cluster.js:171:41)
    at respond (cluster.js:192:5)
    at handleMessage (cluster.js:202:5)
    at process.emit (events.js:117:20)
    at handleMessage (child_process.js:322:10)
    at Pipe.channel.onread (child_process.js:349:11)
2014-08-14 13:10:05 [Master]    [Website] Website process died, spawning replacement...



sudo node init.js

Quote
events.js:72
        throw er; // Unhandled 'error' event
              ^
Error: bind EADDRINUSE
    at errnoException (net.js:904:11)
    at net.js:1084:30
    at Object.8:1 (cluster.js:592:5)
    at handleResponse (cluster.js:171:41)
    at respond (cluster.js:192:5)
    at handleMessage (cluster.js:202:5)
    at process.emit (events.js:117:20)
    at handleMessage (child_process.js:322:10)
    at child_process.js:396:7
    at process.handleConversion.net.Native.got (child_process.js:91:7)
2014-08-14 12:56:51 [Master]    [Website] Website process died, spawning replacement...

/etc/apache2/sites-available/coins.abc.com.conf  looks like:
Quote
<VirtualHost *:80>
    ServerAdmin ronald@me.com
    ServerName coins.abc.com

    DocumentRoot /var/www/html/coins
    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined
</VirtualHost>


config.json includes:
Quote
"website": {
        "enabled": true,
        "host": "127.0.0.1",
        "port": 80,
        "stratumHost": "coins.abc.com",
        "stats": {
            "updateInterval": 60,
            "historicalRetention": 43200,
            "hashrateWindow": 300
        },
        "adminCenter": {
            "enabled": true,
            "password": "1234"
        }
    },

I tried as host ip 0.0.0.0   and my real ip 1.2.3.4

What am I missing?

Ing. Ronald Wiplinger (@ ELMIT)   Blog and pools: http://mininghere.com  CAT info at: https://cat.elmit.com  Tel.: (O) +886 (0)2--2623-3117, (M) +886 (0) 988--70-77-42, Telegram: @RonaldPhone
lifeforcepools
Sr. Member
****
Offline Offline

Activity: 378
Merit: 253


View Profile
October 27, 2014, 11:18:00 PM
 #29

I have a question - I'm running a guncoin pool now which is scrypt, but they're switching to neo-scrypt?

will this products support neo-scrypt and if so what changes to I need to make. I installed the stratum from git source about 10 week ago

thanks
drwatson84
Sr. Member
****
Offline Offline

Activity: 318
Merit: 254

Knowledge is power


View Profile WWW
July 09, 2015, 04:15:43 AM
 #30

I have installed nomp + MPOS,  it's working and accepting shares and blocks are being solved but it's not displaying in the list of solved blocks neither in the block Explorer. There are transactions in the central wallet of solved blocks.
What could be the problem?

★★★ PAKISTANI ★★★CRYPTO-CURRENCY  ★★★PAKCOIN 
★★★ LONG TERM PROJECT ★★★ ACCEPTED IN PAKISTAN (www.pakcoin.io/merchants) ★★★ https://bitcointalk.org/index.php?topic=1096893.0
coinmyne
Newbie
*
Offline Offline

Activity: 23
Merit: 0


View Profile
September 10, 2015, 06:17:31 PM
 #31

On updating npm, I get the following, at the end of the output:

Code:
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:269:23)
gyp ERR! stack     at ChildProcess.emit (events.js:110:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:1074:12)
gyp ERR! System Linux 3.19.0-28-generic
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /home/tom/nomp/node_modules/stratum-pool/node_modules/multi-hashing
gyp ERR! node -v v0.12.7
gyp ERR! node-gyp -v v2.0.2
gyp ERR! not ok
npm ERR! Linux 3.19.0-28-generic
npm ERR! argv "node" "/usr/local/bin/npm" "update"
npm ERR! node v0.12.7
npm ERR! npm  v2.14.2
npm ERR! code ELIFECYCLE

npm ERR! multi-hashing@0.0.9 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the multi-hashing@0.0.9 install script 'node-gyp rebuild'.
npm ERR! This is most likely a problem with the multi-hashing package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-gyp rebuild
npm ERR! You can get their info via:
npm ERR!     npm owner ls multi-hashing
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /home/tom/nomp/npm-debug.log

and on trying node init.js, I get:

Code:
module.js:338
    throw err;
          ^
Error: Cannot find module 'stratum-pool'
    at Function.Module._resolveFilename (module.js:336:15)
    at Function.Module._load (module.js:278:25)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> (/home/tom/nomp/libs/poolWorker.js:1:77)
    at Module._compile (module.js:460:26)
    at Object.Module._extensions..js (module.js:478:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)

Any advice on how to fix it?

npm is version 2.14.2
node is version 0.12.7

Thanks.
AndreyNag
Member
**
Offline Offline

Activity: 89
Merit: 10


View Profile WWW
November 18, 2015, 09:20:11 PM
 #32

Quote
Error: Cannot find module 'stratum-pool'
try "npm install stratum-pool"

Pages: « 1 [2]  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!